### Method

# FwupdPlugin FdtImage set_attr_uint32

since: 1.8.2

#### Declaration [src]

    void
    fu_fdt_image_set_attr_uint32 (
      FuFdtImage* self,
      const gchar* key,
      guint32 value
    )

#### Description [src]

Sets a uint32 attribute for the image.

Available since: 1.8.2

#### Parameters

`key`

  Type: `const gchar*`

  String, e.g. `creator`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `guint32`

  Value to store.